﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default3.aspx.cs" Inherits="Default3" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1GridView"
    TagPrefix="wijmo" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <script type="text/javascript" src="Scripts/jquery-1.4.1.min.js"></script>
   <script type="text/javascript">
       $(document).ready(function () {
           var headerrows = $(".wijmo-wijgrid-groupheaderrow");
           var dataRows = $(".wijmo-wijgrid-datarow");

           //this is to check whether you have clicked edit button
           if ($(".c1-c1gridview-editrow").length != 0) {
               //get the index of edited row
               var originalIndex = $(".c1-c1gridview-editrow")[0].rowIndex;

               //traverse through group header rows
               for (i = 0; i < headerrows.length; i++) {
                   //find the groups between which that edited row lies
                   if (originalIndex > headerrows[i].rowIndex && originalIndex < headerrows[i + 1].rowIndex) {
                       var initialRow = headerrows[i].rowIndex + 1;
                       var lastRow = headerrows[i + 1].rowIndex;
                       //traverse through the data rows
                       for (j = 0; j < dataRows.length; j++) {
                            //check if the datarow is between the selected group
                           if (dataRows[j].rowIndex >= initialRow && dataRows[j].rowIndex < lastRow) {
                               //set the display of these rows to inline in order to display them   
                               dataRows[j].style.display = "inline";
                           }
                       }

                       //retrieve the group icon
                       var divs = headerrows[i].getElementsByClassName("wijmo-wijgrid-innercell");
                       //change the group icon to expanded
                       divs[0].firstElementChild.className = "ui-icon wijmo-wijgrid-grouptogglebtn ui-icon-triangle-1-se";

                   }

               }
           }
       });
    
    </script>
</head>
<body>
    
    <form id="form1" runat="server">
    <div>

    </div>
    <wijmo:C1GridView ID="C1GridView1" runat="server" AllowPaging="True" AutogenerateColumns="False"
        AutoGenerateEditButton="True" DataKeyNames="ProductID" DataSourceID="AccessDataSource1">
        <Columns>
            <wijmo:C1BoundField DataField="ProductID" HeaderText="ProductID" ReadOnly="True"
                SortExpression="ProductID">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="SupplierID" HeaderText="SupplierID" SortExpression="SupplierID">
                <GroupInfo OutlineMode="StartCollapsed" Position="Header" />
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="CategoryID" HeaderText="CategoryID" SortExpression="CategoryID">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="QuantityPerUnit" HeaderText="QuantityPerUnit" SortExpression="QuantityPerUnit">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="UnitPrice" HeaderText="UnitPrice" SortExpression="UnitPrice">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="UnitsInStock" HeaderText="UnitsInStock" SortExpression="UnitsInStock">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="UnitsOnOrder" HeaderText="UnitsOnOrder" SortExpression="UnitsOnOrder">
            </wijmo:C1BoundField>
            <wijmo:C1BoundField DataField="ReorderLevel" HeaderText="ReorderLevel" SortExpression="ReorderLevel">
            </wijmo:C1BoundField>
            <wijmo:C1CheckBoxField DataField="Discontinued" HeaderText="Discontinued" SortExpression="Discontinued">
            </wijmo:C1CheckBoxField>
        </Columns>
    </wijmo:C1GridView>
    <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Product.mdb"
        SelectCommand="SELECT * FROM [Products]"></asp:AccessDataSource>
    </form>
</body>
</html>
